Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip4
/
outcomes
List HIP-4 outcomes
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip4/outcomes \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "outcome_id": 0,
      "side_specs": [
        {
          "side": 0,
          "name": "Yes",
          "coin": "#0",
          "asset_id": 100000000
        }
      ],
      "is_settled": false,
      "name": "BTC ≥ 78213 by 2026-05-03 06:00 UTC",
      "description_raw": "class:priceBinary|underlying:BTC|expiry:20260503-0600|targetPrice:78213|period:1d",
      "class": "priceBinary",
      "underlying": "BTC",
      "expiry": "2026-05-03T06:00:00Z",
      "target_price": 78213,
      "period": "1d",
      "status": "live",
      "source_seen_at": "2026-05-02T20:25:00Z",
      "aggregated_oi": {
        "currency": "USDH",
        "side0_open_interest_contracts": 568048,
        "side1_open_interest_contracts": 568048,
        "outcome_display_open_interest_contracts": 1136096,
        "paired_set_supply_contracts": 568048,
        "side_supply_parity": true,
        "as_of": "2026-05-02T20:27:21Z",
        "side0_as_of": "2026-05-02T20:27:21Z",
        "side1_as_of": "2026-05-02T20:27:21Z"
      }
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Query Parameters

is_settled
boolean

Filter by settlement status. Omit to return both live and settled outcomes.

cursor
string

Cursor for pagination (use the value from previous response's next_cursor)

limit
integer
default:100

Maximum number of results (default: 100, max: 1000)

Required range: x <= 1000

Response

List of HIP-4 outcomes (without aggregated_oi)

API response wrapping an array of HIP-4 outcome aggregates (without aggregated_oi; use /outcomes/{outcome_id} for the detail variant)

success
boolean
Example:

true

data
object[]
meta
object

Response metadata

Last modified on May 20, 2026